Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226528 - Merge Review: virt-manager
Summary: Merge Review: virt-manager
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:15 UTC by Nobody's working on this, feel free to take it
Modified: 2013-04-30 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-23 19:50:44 UTC
lutter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:15:26 UTC
Fedora Merge Review: virt-manager

http://cvs.fedora.redhat.com/viewcvs/devel/virt-manager/
Initial Owner: berrange@redhat.com

Comment 1 David Lutterkort 2007-05-03 22:03:20 UTC
Review is based on
http://koji.fedoraproject.org/packages/virt-manager/0.4.0/1.fc7/src/virt-manager-0.4.0-1.fc7.src.rpm

Overall, specfile looks good, conforms with packaging guidelines

rpmlint reports:

  W: virt-manager non-conffile-in-etc /etc/security/console.apps/virt-manager
  W: virt-manager non-conffile-in-etc /etc/gconf/schemas/virt-manager.schemas
  W: virt-manager non-conffile-in-etc /etc/pam.d/virt-manager

The pam.d file should be marked as %config(noreplace); the others seem ok

  W: virt-manager symlink-should-be-relative /usr/bin/virt-manager
/usr/bin/consolehelper

Easy fix

  E: virt-manager explicit-lib-dependency librsvg2

It seems that that is ok; AFAICT, rpm won't be able to find this dependency.

Comment 2 David Lutterkort 2007-05-03 22:06:02 UTC
Please make the two little changes mentioned above. With that
APPROVED

Don't forget to mark CLOSED RAWHIDE when the changed specfile has been committed.

Comment 3 David Lutterkort 2008-01-10 23:34:47 UTC
Cole, could you take care of the above spec changes so we can get the review
finished ?



Comment 4 Daniel Berrange 2008-01-11 02:06:41 UTC
These fixes will be in the new rawhide build virt-manager-0_5_3-1_fc9

Comment 5 Mark McLoughlin 2009-01-23 19:50:44 UTC
Okay, fixes were:

-ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}
+ln -s ../bin/consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}

-%{_sysconfdir}/pam.d/%{name}
+%config(noreplace) %{_sysconfdir}/pam.d/%{name}

Closing


Note You need to log in before you can comment on or make changes to this bug.